Skip to main content
GET
CLI

Path Parameters

coin_id
string
required
Example:

"btc-bitcoin"

Query Parameters

start
string
required

start point for historical data

Supported formats:

  • RFC3999 (ISO-8601) eg. 2018-02-15T05:15:00Z
  • Simple date (yyyy-mm-dd) eg. 2018-02-15
  • Unix timestamp (in seconds) eg. 1518671700
end
string

end point for ohlcv (max 1 year)

Supported formats:

  • RFC3999 (ISO-8601) eg. 2018-02-15T05:15:00Z
  • Simple date (yyyy-mm-dd) eg. 2018-02-15
  • Unix timestamp (in seconds) eg. 1518671700

If not provided calculated by the limit parameter

limit
integer
default:1

limit of result rows (max 366)

interval
string
default:24h

returned OHLCV point interval (available values: 5m, 15m, 30m, 1h, 6h, 12h, 24h)

quote
string
default:usd

returned data quote (available values: usd btc)

Response

successful operation

time_open
string

RFC3999 (ISO-8601) format

Example:

"2018-03-01T00:00:00Z"

time_close
string

RFC3999 (ISO-8601) format

Example:

"2018-03-01T23:59:59Z"

open
number | null
Example:

856.012

high
number | null
Example:

880.302

low
number | null
Example:

851.92

close
number | null
Example:

872.2

volume
integer | null
Example:

1868520000

market_cap
integer | null
Example:

83808161204